#%%define svn	49
%define modname stk11xx

%define rel 6

Name: 		syntek
Version: 	1.3.1
Release: 	%mkrel %{?svn:0.%svn.}%rel
Summary: 	Syntek USB Video Camera driver for DC-1125 and STK-1135
Group: 		System/Configuration/Hardware
License: 	GPL
URL:		http://syntekdriver.sourceforge.net/
Source:		http://prdownloads.sourceforge.net/syntekdriver/%{modname}%{?!svn:-%version}.tar.gz
Patch0:		stk11xx-1.2.3-drvname.patch
Patch1:		stk11xx-2.6.27.patch
Patch2:		stk11xx-ioctl32.patch
Patch3:		stk11xx-v4l-2.6.27-parent.patch
BuildRoot: 	%_tmppath/%name-%version-%release-buildroot
BuildRequires:	doxygen

%description
Documentation for the syntek USB 2.0 video camera driver for DC-1125 and
STK-1135


%package -n dkms-%name
Summary:	DKMS-ready kernel-source for the Syntek USB Video Camera kernel module
Group:		System/Configuration/Hardware
Requires(post):	ctags
Requires(post):	dkms
Requires(preun):dkms

%description -n dkms-%name
DKMS-ready syntek USB 2.0 video camera driver for DC-1125 and STK-1135


%prep
%setup -qn %{modname}%{?!svn:-%version}
%patch0 -p1 -b .drvname
%patch1 -p2 -b .2.6.27
%patch2 -p2 -b .ioctl32
%patch3 -p0 -b .parent
#sed -i 's:../doxygen:%buildroot:' doxygen.cfg
#sed -i 's:CREATE_SUBDIRS         = NO:CREATE_SUBDIRS         = YES:' doxygen.cfg

%build
%make -f Makefile.standalone doc

%install
rm -rf %buildroot

mkdir -p -m755 %buildroot%_docdir/%name-%version/html
install -m644 %_builddir/doxygen/html/* %buildroot%_docdir/%name-%version/html
install -m644 README %buildroot%_docdir/%name-%version

# DKMS stuff
mkdir -p -m755 %buildroot%_usrsrc/%name-%version-%release
cp -a * %buildroot%_usrsrc/%name-%version-%release
# Configuration for dkms
cat > %buildroot%_usrsrc/%name-%version-%release/dkms.conf << 'EOF'
PACKAGE_VERSION=%version-%release
# Items below here should not have to change with each driver version
PACKAGE_NAME=%name
BUILT_MODULE_NAME[0]="%modname"
DEST_MODULE_LOCATION[0]="/kernel/3rdparty/%name"
REMAKE_INITRD="no"
AUTOINSTALL=yes
EOF


%post -n dkms-%name
dkms add -m %name -v %version-%release --rpm_safe_upgrade || :
dkms build -m %name -v %version-%release --rpm_safe_upgrade || :
dkms install -m %name -v %version-%release --rpm_safe_upgrade || :

%preun -n dkms-%name
dkms remove -m %name -v %version-%release --all --rpm_safe_upgrade || :


%files
%defattr(-,root,root)
%dir %_docdir/%name-%version/
%doc %_docdir/%name-%version/README
%dir %_docdir/%name-%version/html/
%doc %_docdir/%name-%version/html/*

%files -n dkms-%name
%defattr(-,root,root)
%doc README
%_usrsrc/%name-%version-%release/


%clean
rm -rf %buildroot


%changelog
* Sun Sep 20 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.3.1-6mdv2010.0
+ Revision: 445343
- rebuild

* Thu Nov 20 2008 Pascal Terjan <pterjan@mandriva.org> 1.3.1-5mdv2009.1
+ Revision: 305306
- Fix use by HAL
- Include release in DKMS version

* Fri Nov 14 2008 Pascal Terjan <pterjan@mandriva.org> 1.3.1-4mdv2009.1
+ Revision: 302940
- Fix build on x86_64

* Wed Nov 12 2008 Pascal Terjan <pterjan@mandriva.org> 1.3.1-3mdv2009.1
+ Revision: 302490
- Add upstream patch to support 2.6.27

* Mon Mar 31 2008 Olivier Blin <oblin@mandriva.com> 1.3.1-2mdv2008.1
+ Revision: 191291
- bump release
- remove hardcoded make command line (broken)

* Tue Feb 26 2008 Olivier Blin <oblin@mandriva.com> 1.3.1-1mdv2008.1
+ Revision: 175530
- 1.3.1
- bump release
- fix driver name (use "stk11xx" instead of "usb_stk11xx_driver", #35019)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix description-line-too-long

* Fri Jan 18 2008 Pascal Terjan <pterjan@mandriva.org> 1.2.3-1mdv2008.1
+ Revision: 154611
- update to 1.2.3 (support more cameras, kopete, YUV)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Oct 30 2007 Pascal Terjan <pterjan@mandriva.org> 1.1.0-1mdv2008.1
+ Revision: 103897
- 1.1.0 (even if the source thinks it is v1.0.0)
- Fix use of conditionnals
- Move the ctags requirement to the right place

* Mon Oct 29 2007 Pascal Terjan <pterjan@mandriva.org> 1.0.0-0.svn49.3mdv2008.1
+ Revision: 103414
- ctags is required to build the module, not the package (#35006)

* Tue Oct 02 2007 Olivier Blin <oblin@mandriva.com> 1.0.0-0.svn49.2mdv2008.0
+ Revision: 94486
- update to new version

* Wed Jul 25 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.0.0-0.svn49.1mdv2008.0
+ Revision: 55569
- Import syntek




* Sat Jul 13 2007 Zé <mmodem00@gmail.com> 1.0.0-2
- sync svn (svn release 49)

* Tue May 22 2007 Zé <mmodem00@gmail.com> 1.0.0-1
- first package version 1.0.0
